Move Fuel UI to a separate repository fuel-ui

Bug #1471763 reported by Vladimir Kozhukalov on 2015-07-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Medium
Vladimir Kozhukalov

Bug Description

We need to move Fuel UI into a separate repository.

Work items:
1) create new repository https://github.com/stackforge/fuel-ui (fuel-devops)
2) move fuel-web/nailgun/static + auxiliary files to the new repository (fuel-python)

summary: - Move Fuel UI in a separate repository fuel-ui
+ Move Fuel UI to a separate repository fuel-ui
Changed in fuel:
assignee: Fuel DevOps (fuel-devops) → Vladimir Kozhukalov (kozhukalov)
Roman Vyalov (r0mikiam) on 2015-08-06
Changed in fuel:
milestone: 7.0 → 8.0
Dmitry Pyzhov (dpyzhov) on 2015-09-23
tags: added: tech-debt
Dmitry Pyzhov (dpyzhov) on 2015-10-21
tags: added: area-build
Roman Vyalov (r0mikiam) on 2015-10-21
tags: added: fuel-build
Roman Vyalov (r0mikiam) on 2015-12-01
tags: added: move-to-9-0
Roman Vyalov (r0mikiam) on 2015-12-16
Changed in fuel:
milestone: 8.0 → 9.0

Related fix proposed to branch: master
Change author: Vladimir Kozhukalov <email address hidden>
Review: https://review.fuel-infra.org/15474

Changed in fuel:
status: Confirmed → In Progress

Related fix proposed to branch: master
Change author: Vladimir Kozhukalov <email address hidden>
Review: https://review.fuel-infra.org/15485

Related fix proposed to branch: master
Change author: Vladimir Kozhukalov <email address hidden>
Review: https://review.fuel-infra.org/15487

Fix proposed to branch: master
Review: https://review.openstack.org/285307

Changed in fuel:
assignee: Vladimir Kozhukalov (kozhukalov) → Sergey Kulanov (skulanov)

Fix proposed to branch: master
Change author: Sergey Kulanov <email address hidden>
Review: https://review.fuel-infra.org/17520

Fix proposed to branch: master
Change author: Sergey Kulanov <email address hidden>
Review: https://review.fuel-infra.org/17524

Fix proposed to branch: master
Review: https://review.openstack.org/285334

Changed in fuel:
assignee: Sergey Kulanov (skulanov) → Dmitry Burmistrov (dburmistrov)
Changed in fuel:
assignee: Dmitry Burmistrov (dburmistrov) → Vladimir Kozhukalov (kozhukalov)

Reviewed: https://review.fuel-infra.org/17520
Submitter: Aleksandra Fedorova <email address hidden>
Branch: master

Commit: 60dc492204ce281349b61becf30494f79d739b48
Author: Sergey Kulanov <email address hidden>
Date: Fri Feb 26 14:27:52 2016

Add fuel-ui to custom iso/packages jobs

Change-Id: I85ab553982f0b81ecf9654c9c5a2132a64215b45
Partial-Bug: #1471763
Implements: blueprint separate-fuel-ui-repo

Reviewed: https://review.fuel-infra.org/17524
Submitter: Vitaly Parakhin <email address hidden>
Branch: master

Commit: 1df24b9aad4e0864ea3368c6cc66d450360a1be1
Author: Sergey Kulanov <email address hidden>
Date: Fri Feb 26 14:17:04 2016

Build UI packages from fuel-ui repo

After splitting fuel-web and moving all ui part to new repo
fuel-ui we need to build packages from this repo

Change-Id: Ieb59c8e65ff63010d69f37a48560cf7ba3e5615c
Partial-Bug: #1471763
Implements: blueprint separate-fuel-ui-repo

Reviewed: https://review.fuel-infra.org/15487
Submitter: Dmitry Kaigarodsev <email address hidden>
Branch: master

Commit: b3eb4e0d2fd6f6ee31a77a09c5a3d2ffb33cf1f5
Author: Vladimir Kozhukalov <email address hidden>
Date: Fri Feb 26 11:49:50 2016

Add job to run fuel-ui integration tests with fuel-web

Change-Id: I9db6d976cf941c5d1a1e7dd30c4a87f55c1a2bd1
Related-Bug: #1471763
Implements: blueprint separate-fuel-ui-repo

Fix proposed to branch: master
Change author: Sergey Otpuschennikov <email address hidden>
Review: https://review.fuel-infra.org/17623

Fix proposed to branch: master
Change author: Sergey Otpuschennikov <email address hidden>
Review: https://review.fuel-infra.org/17624

Reviewed: https://review.fuel-infra.org/17623
Submitter: Andrey Nikitin <email address hidden>
Branch: master

Commit: 35834e95be244759b4066b67c33e3fef21b79f2b
Author: Sergey Otpuschennikov <email address hidden>
Date: Tue Mar 1 10:27:31 2016

Add new project

 - openstack/fuel-ui

Change-Id: I55b09ec465ee2d2d3b2fae1e8a6430f0c1f04676
Partial-Bug: #1471763
Implements: blueprint separate-fuel-ui-repo

Reviewed: https://review.fuel-infra.org/17624
Submitter: Vitaly Parakhin <email address hidden>
Branch: master

Commit: 926bb34fed80cb0f64c2dfa39d0ec8c96dc9b2fd
Author: Sergey Otpuschennikov <email address hidden>
Date: Tue Mar 1 12:45:45 2016

[upstream sync] Add fuel-ui project to sync from upstream

Change-Id: I2aa599adcff78c631edf8e6d2a88c248529aad95
Partial-Bug: #1471763
Implements: blueprint separate-fuel-ui-repo

Roman Vyalov (r0mikiam) on 2016-03-01
tags: added: feature
removed: fuel-build move-to-9-0

Reviewed: https://review.openstack.org/285307
Committed: https://git.openstack.org/cgit/openstack/fuel-main/commit/?id=ebab0180b32d30f9cdf7b668c4dee0f9f137344b
Submitter: Jenkins
Branch: master

commit ebab0180b32d30f9cdf7b668c4dee0f9f137344b
Author: Sergey Kulanov <email address hidden>
Date: Fri Feb 26 15:43:38 2016 +0200

    Add fuel-ui repo to ISO build process

    Though build packages during ISO build is going to depracate
    we still need to align all fuel packages build flow

    Change-Id: Ic4c3917a608dbdc955263dd13871012a8f498dee
    Partial-Bug: #1471763
    Implements: blueprint separate-fuel-ui-repo

Change abandoned by Vladimir Kozhukalov <email address hidden> on branch: master
Review: https://review.fuel-infra.org/15474

Change abandoned by Vladimir Kozhukalov <email address hidden> on branch: master
Review: https://review.fuel-infra.org/15485

Roman Vyalov (r0mikiam) on 2016-03-15
Changed in fuel:
status: In Progress → Fix Committed

Change abandoned by Igor Kalnitsky (<email address hidden>) on branch: master
Review: https://review.openstack.org/285334
Reason: No need in that patch, it's already done.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers